| OGRE 1.10.11 Object-Oriented Graphics Rendering Engine

Public Member Functions | Public Attributes | Static Public Attributes | List of all members
Ogre::ThreadLocalPtr< T > Class Template Reference

wrapper around `thread_local std::unique_ptr<T>` that can be used as a class member More...

`#include <OgreThreadDefinesSTD.h>`

## Public Member Functions
| ThreadLocalPtr ()
T * | get () const
T & | operator* () const
T * | operator-> () const
void | reset (T *a=0)

## Public Attributes
const std::size_t | m_LocalID

## Static Public Attributes
static thread_local std::size_t | m_VarCounter = 0

## Detailed Description

### template<typename T>
class Ogre::ThreadLocalPtr< T >

wrapper around `thread_local std::unique_ptr<T>` that can be used as a class member

## Constructor & Destructor Documentation

## ◆ ThreadLocalPtr()

template<typename T >

Ogre::ThreadLocalPtr< T >::ThreadLocalPtr | ( |  | ) |
| inline

## Member Function Documentation

## ◆ reset()

template<typename T >

void Ogre::ThreadLocalPtr< T >::reset | ( | T * | a = `0` | ) |
| inline

References Ogre::ThreadLocalPtr< T >::m_LocalID.

## ◆ get()

template<typename T >

T* Ogre::ThreadLocalPtr< T >::get | ( | void |  | ) | const
| inline

## ◆ operator->()

template<typename T >

T* Ogre::ThreadLocalPtr< T >::operator-> | ( |  | ) | const
| inline

## ◆ operator*()

template<typename T >

T& Ogre::ThreadLocalPtr< T >::operator* | ( |  | ) | const
| inline

## Member Data Documentation

## ◆ m_VarCounter

template<typename T >

thread_local std::size_t Ogre::ThreadLocalPtr< T >::m_VarCounter = 0
| static

## ◆ m_LocalID

template<typename T >

const std::size_t Ogre::ThreadLocalPtr< T >::m_LocalID

Referenced by Ogre::ThreadLocalPtr< T >::reset().

The documentation for this class was generated from the following file:

- OgreThreadDefinesSTD.h